
# PiNNIEs

**PiNNIEs** is a Python package designed to solve mathematical problems that involve integral operators such as Fredholm, Volterra, or fractional derivatives using Physics-Informed Neural Networks (PINNs).



> **Note**: This package is under heavy development and is not yet optimized for real-world problems.

## Installation

The project is built on PyTorch for training PINNs. You can install `pinnies` via pip:

```bash
pip install pinnies
```

## Usage

To see how to use the Pinnies package, please refer to the [examples folder](./examples) in the repository. The examples provide detailed usage instructions and showcase the capabilities of the package.

## Development Status

Pinnies is currently in the early stages of development. The focus is on establishing the core functionalities required for solving problems involving integral operators. As such, the package may not be fully optimized, and additional features and improvements are planned for future releases.

## Citation

If you use `pinnies` in your research, please cite the following paper:

```bibtex
@article{pinnies,
  title={PINNIES: An Efficient Physics-Informed Neural Network Framework to Integral Operator Problems},
  authors={Afzal Aghaei, Alireza and Movahedian Moghaddam, Mahdi and Parand, Kourosh},
}
```

## License

This project is licensed under the MIT License - see the [LICENSE](./LICENSE) file for details.

## Contributing

Contributions are welcome! If you have any suggestions, bug reports, or feature requests, please open an issue or submit a pull request.

## Contact

For any inquiries or questions, please contact the lead author:

- **Alireza Afzal Aghaei** - [alirezaafzalaghaei@gmail.com](mailto:alirezaafzalaghaei@gmail.com)
